using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace song_of_the_day.DataMigrations
{
    /// <inheritdoc />
    public partial class Updateuserproperties : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "UserName",
                table: "Users",
                newName: "SignalMemberId");

            migrationBuilder.RenameColumn(
                name: "SignalId",
                table: "Users",
                newName: "NickName");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "SignalMemberId",
                table: "Users",
                newName: "UserName");

            migrationBuilder.RenameColumn(
                name: "NickName",
                table: "Users",
                newName: "SignalId");
        }
    }
}
